Bug 178960 - CVE-2005-4667 unzip long filename buffer overflow
CVE-2005-4667 unzip long filename buffer overflow
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: unzip (Show other bugs)
4.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Ivana Varekova
Ben Levenson
impact=low,public=20051219,reported=2...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-25 14:39 EST by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version: RHSA-2007-0203
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-01 13:05:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-01-25 14:39:53 EST
unzip long filename buffer overflow

unzip is vulnerable to a filename buffer overflow vulnerability.  It
may be possible to execute arbitrary code as the user running unzip.

http://www.securityfocus.com/bid/15968/info

This issue can be verified with the following command:
unzip `perl -e 'print "A" x 50000'`


This issue also affects RHEL3
This issue also affects RHEL2.1
Comment 7 RHEL Product and Program Management 2006-08-18 12:45:14 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 13 Red Hat Bugzilla 2007-05-01 13:05:24 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0203.html

Note You need to log in before you can comment on or make changes to this bug.